﻿Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        LoadStateDataCombo()

    End Sub

    Private Sub LoadStateDataCombo()

        Dim intStateFileNbr As Integer
        Dim strStateAbbrev As String
        Dim strStateName As String
        intStateFileNbr = FreeFile()
        FileOpen(intStateFileNbr, My.Application.Info.DirectoryPath & "\STATES.TXT", OpenMode.Input)
        cboStates.Items.Clear()
        Do Until EOF(intStateFileNbr)
            Input(intStateFileNbr, strStateAbbrev)
            Input(intStateFileNbr, strStateName)
            cboStates.Items.Add(strStateName)
        Loop
        FileClose(intStateFileNbr)

    End Sub

    Private Sub cboStates_Validating(ByVal sender As Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles cboStates.Validating

        If Not ValidateComboEntry(cboStates) Then
            e.Cancel = True
        End If

    End Sub

    Public Function ValidateComboEntry(ByVal pobjCombo As ComboBox) As Boolean

        If Trim(pobjCombo.Text) = "" Then
            pobjCombo.SelectedIndex = -1
            Return True
        End If

        For intX As Integer = 0 To pobjCombo.Items.Count - 1
            If pobjCombo.Text = pobjCombo.Items(intX).ToString Then
                pobjCombo.SelectedIndex = intX
                Return True
            End If
        Next

        ' item was not found in list ...

        MsgBox("The text you entered isn't an item in the list." & vbNewLine & vbNewLine & "Select an item from the list, or enter text that matches one of the listed items.", MsgBoxStyle.Information, "Item Not In List")

        Return False

    End Function

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        Me.Close()
    End Sub

End Class
